<?xml version="1.0" encoding="ASCII"?>

<!-- oks-schema version 2.0 -->


<!DOCTYPE oks-schema [
  <!ELEMENT oks-schema (info, (include)?, (comments)?, (class)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "schema"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT class (superclass | attribute | relationship | method)*>
  <!ATTLIST class
      name CDATA #REQUIRED
      description CDATA ""
      is-abstract (yes|no) "no"
  >
  <!ELEMENT superclass EMPTY>
  <!ATTLIST superclass name CDATA #REQUIRED>
  <!ELEMENT attribute EMPTY>
  <!ATTLIST attribute
      name CDATA #REQUIRED
      description CDATA ""
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class) #REQUIRED
      range CDATA ""
      format (dec|hex|oct) "dec"
      is-multi-value (yes|no) "no"
      init-value CDATA ""
      is-not-null (yes|no) "no"
  >
  <!ELEMENT relationship EMPTY>
  <!ATTLIST relationship
      name CDATA #REQUIRED
      description CDATA ""
      class-type CDATA #REQUIRED
      low-cc (zero|one) #REQUIRED
      high-cc (one|many) #REQUIRED
      is-composite (yes|no) #REQUIRED
      is-exclusive (yes|no) #REQUIRED
      is-dependent (yes|no) #REQUIRED
  >
  <!ELEMENT method (method-implementation*)>
  <!ATTLIST method
      name CDATA #REQUIRED
      description CDATA ""
  >
  <!ELEMENT method-implementation EMPTY>
  <!ATTLIST method-implementation
      language CDATA #REQUIRED
      prototype CDATA #REQUIRED
      body CDATA ""
  >
]>

<oks-schema>

<info name="" type="" num-of-items="1" oks-format="schema" oks-version="oks-06-07-01 built &quot;March 22 2018&quot;" created-by="longjon" created-on="lxplus032.cern.ch" creation-time="20180409T132449" last-modified-by="akrishna" last-modified-on="lxplus104.cern.ch" last-modification-time="20140728T085259"/>

<include>
 <file path="is/is.xml"/>
 <file path="FtkDataFlowSummary_is.schema.xml"/>
</include>

 <class name="FtkDataFlowSummarySSB" description="DataFlow summary for SSB monitoring"> 
  <superclass name="FtkDataFlowSummary"/>

   <attribute name="NEventsIn" description="NEvents into each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="NTracksOut" description="NTracks from each EXTF fitter and out of HW" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="NTracksOutRecovery" description="Recovery NTracks from each EXTF fitter" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="TrackRate" description="Track rate from each EXTF fitter and our of HW" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HW_temperature" description="Temperature of the HitWarrior FPGA dye" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HW_VCCINT" description="Voltage (VCCINT) of HitWarrior FPGA" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HW_VCCAUX" description="Voltage (VCCAUX) of HitWarrior FPGA" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HW_VCCBRAM" description="Voltage (VCCBRAM) of HitWarrior FPGA" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HW_VPVN" description="Voltage (VPVN) of HitWarrior FPGA" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HW_VREFVP" description="Voltage (VREFVP) of HitWarrior FPGA" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HW_VREFVN" description="Voltage (VREFVN) of HitWarrior FPGA" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SsbEventRate" description="EXTF and HW event rate" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="LinkErrorsCount" description="Low level input link errors for each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="EXTFResets" description="Number of resets for each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="NEventsProcSyncEngine" description="NEvents processed in the sync engine of each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="L1id_error" description="Lvl1ID errors for the HW and each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="FifoInBusyCumulative" description="Cumulative BP signals for each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="FifoOutBusyCumulative" description="Cumulative BP signal for HW from FLIC" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="FifoInUnderflowFlag" description="FIFO underflow flags" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="FifoOutUnderflowFlag" description="FIFO underflow flags" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />

   <attribute name="EXPState" description="Extrapolator state machines" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="ReadyState" description="EXTF ready states" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="MasterState" description="Master state" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="MinEvtProcessingTime" description="Min time to process event" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />

   <attribute name="IBLHitRate" description="Rate of IBL hits from HXMPP" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SCT5HitRate" description="Rate of SCT layer 5 hits from HXMPP" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SCT7HitRate" description="Rate of SCT layer 7 hits from HXMPP" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SCT11HitRate" description="Rate of SCT layer 11 hits from HXMPP" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />

   <attribute name="FWVersion" description="FW version on FPGAs" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />

   <attribute name="MaxModulesPerEvent" description="Max IBL and SCT modules per even for each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="ModuleRate" description="IBL and SCT module rates" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="MaxClustersPerEvent" description="Max IBL and SCT clusters per even for each EXTF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="ClusterRate" description="IBL and SCT cluster rates" type="float" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="MaxTracksPerEvent" description="Max tracks per event into TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />

   <attribute name="HitTrackingLimits" description="Number of times ssb hit AUX/TF/TF-Fit limits" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />

   <!-- histograms -->
   <!-- EXTF0 -->

   <attribute name="TrackHistogram0" description="EXTF0: N Tracks from TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <attribute name="AuxHistogram0" description="EXTF0: N Tracks from AUX" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFHistogram0" description="EXTF0: DF packet size" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SkewHistogram0" description="EXTF0: Max skew between input channels" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="OutPacketLenHistogram0" description="EXTF0: TF output packet lenth" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFA_PH_TimeoutHistogram0" description="EXTF0: DFA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFB_PH_TimeoutHistogram0" description="EXTF0: DFB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXA_PH_TimeoutHistogram0" description="EXTF0: AUXA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXB_PH_TimeoutHistogram0" description="EXTF0: AUXB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="L1IDSkipHistogram0" description="EXTF0: Global L1ID skips" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="TFFIFO_L1IDSkipHistogram0" description="EXTF0: L1ID skips before TF input FIFO" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFAL1IDSkipHistogram0" description="EXTF0: L1ID skips from DFA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFBL1IDSkipHistogram0" description="EXTF0: L1ID skips from DFB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXAL1IDSkipHistogram0" description="EXTF0: L1ID skips from AUXA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXBL1IDSkipHistogram0" description="EXTF0: L1ID skips from AUXB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <attribute name="LayerMapHistogram0" description="EXTF0: Layer Map of Tracks out of TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <attribute name="HitsLayer0DFHistogram0" description="EXTF0: DF hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5DFHistogram0" description="EXTF0: DF hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7DFHistogram0" description="EXTF0: DF hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11DFHistogram0" description="EXTF0: DF hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer0EXPHistogram0" description="EXTF0: EXP hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5EXPHistogram0" description="EXTF0: EXP hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7EXPHistogram0" description="EXTF0: EXP hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11EXPHistogram0" description="EXTF0: EXP hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <!-- EXTF1 -->
   <attribute name="TrackHistogram1" description="EXTF1: N Tracks from TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AuxHistogram1" description="EXTF1: N Tracks from AUX" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFHistogram1" description="EXTF1: DF packet size" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SkewHistogram1" description="EXTF1: Max skew between input channels" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="OutPacketLenHistogram1" description="EXTF1: TF output packet lenth" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFA_PH_TimeoutHistogram1" description="EXTF1: DFA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFB_PH_TimeoutHistogram1" description="EXTF1: DFB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXA_PH_TimeoutHistogram1" description="EXTF1: AUXA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXB_PH_TimeoutHistogram1" description="EXTF1: AUXB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="L1IDSkipHistogram1" description="EXTF1: Global L1ID skips" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="TFFIFO_L1IDSkipHistogram1" description="EXTF1: L1ID skips before TF input FIFO" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFAL1IDSkipHistogram1" description="EXTF1: L1ID skips from DFA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFBL1IDSkipHistogram1" description="EXTF1: L1ID skips from DFB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXAL1IDSkipHistogram1" description="EXTF1: L1ID skips from AUXA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXBL1IDSkipHistogram1" description="EXTF1: L1ID skips from AUXB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="LayerMapHistogram1" description="EXTF1: Layer Map of Tracks out of TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer0DFHistogram1" description="EXTF1: DF hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5DFHistogram1" description="EXTF1: DF hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7DFHistogram1" description="EXTF1: DF hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11DFHistogram1" description="EXTF1: DF hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer0EXPHistogram1" description="EXTF1: EXP hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5EXPHistogram1" description="EXTF1: EXP hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7EXPHistogram1" description="EXTF1: EXP hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11EXPHistogram1" description="EXTF1: EXP hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <!-- EXTF2 -->
   <attribute name="TrackHistogram2" description="EXTF2: N Tracks from TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AuxHistogram2" description="EXTF2: N Tracks from AUX" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFHistogram2" description="EXTF2: DF packet size" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SkewHistogram2" description="EXTF2: Max skew between input channels" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="OutPacketLenHistogram2" description="EXTF2: TF output packet lenth" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFA_PH_TimeoutHistogram2" description="EXTF2: DFA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFB_PH_TimeoutHistogram2" description="EXTF2: DFB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXA_PH_TimeoutHistogram2" description="EXTF2: AUXA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXB_PH_TimeoutHistogram2" description="EXTF2: AUXB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="L1IDSkipHistogram2" description="EXTF2: Global L1ID skips" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="TFFIFO_L1IDSkipHistogram2" description="EXTF2: L1ID skips before TF input FIFO" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFAL1IDSkipHistogram2" description="EXTF2: L1ID skips from DFA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFBL1IDSkipHistogram2" description="EXTF2: L1ID skips from DFB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXAL1IDSkipHistogram2" description="EXTF2: L1ID skips from AUXA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXBL1IDSkipHistogram2" description="EXTF2: L1ID skips from AUXB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <attribute name="LayerMapHistogram2" description="EXTF2: Layer Map of Tracks out of TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <attribute name="HitsLayer0DFHistogram2" description="EXTF2: DF hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5DFHistogram2" description="EXTF2: DF hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7DFHistogram2" description="EXTF2: DF hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11DFHistogram2" description="EXTF2: DF hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer0EXPHistogram2" description="EXTF2: EXP hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5EXPHistogram2" description="EXTF2: EXP hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7EXPHistogram2" description="EXTF2: EXP hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11EXPHistogram2" description="EXTF2: EXP hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <!-- EXTF3 -->
   <attribute name="TrackHistogram3" description="EXTF3: N Tracks from TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AuxHistogram3" description="EXTF3: N Tracks from AUX" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFHistogram3" description="EXTF3: DF packet size" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="SkewHistogram3" description="EXTF3: Max skew between input channels" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="OutPacketLenHistogram3" description="EXTF3: TF output packet lenth" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFA_PH_TimeoutHistogram3" description="EXTF3: DFA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFB_PH_TimeoutHistogram3" description="EXTF3: DFB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXA_PH_TimeoutHistogram3" description="EXTF3: AUXA packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXB_PH_TimeoutHistogram3" description="EXTF3: AUXB packethandler timeout" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="L1IDSkipHistogram3" description="EXTF3: Global L1ID skips" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="TFFIFO_L1IDSkipHistogram3" description="EXTF3: L1ID skips before TF input FIFO" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFAL1IDSkipHistogram3" description="EXTF3: L1ID skips from DFA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="DFBL1IDSkipHistogram3" description="EXTF3: L1ID skips from DFB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXAL1IDSkipHistogram3" description="EXTF3: L1ID skips from AUXA" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="AUXBL1IDSkipHistogram3" description="EXTF3: L1ID skips from AUXB" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <attribute name="LayerMapHistogram3" description="EXTF3: Layer Map of Tracks out of TF" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" /> 
   <attribute name="HitsLayer0DFHistogram3" description="EXTF3: DF hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5DFHistogram3" description="EXTF3: DF hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7DFHistogram3" description="EXTF3: DF hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11DFHistogram3" description="EXTF3: DF hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer0EXPHistogram3" description="EXTF3: EXP hits per layer 0" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer5EXPHistogram3" description="EXTF3: EXP hits per layer 5" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer7EXPHistogram3" description="EXTF3: EXP hits per layer 7" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HitsLayer11EXPHistogram3" description="EXTF3: EXP hits per layer 11" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />

   <!-- hitwarrior histograms -->
   <attribute name="HWL1IDSkipHistogram" description="L1ID skips seen by HW" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWNTrackHistogram" description="nTracks out of the hitwarrior" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWchi2Histogram"  description="Track Chi2 * 1023/65500" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWd0Histogram"    description="Track (d0 + 32) * 1023/64" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWz0Histogram"    description="Track (z0 + 320) * 1023/640" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWcotthHistogram" description="Track (cotth + 6.55) * 1023/13.1" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWphi0Histogram"  description="Track phi0 * 1023/6.28" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWcurvHistogram"  description="Track (curvature + 0.65) * 1023/1.3" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />
   <attribute name="HWLayerMapHistogram"  description="Layermap of tracks at HW" type="s64" init-value="-1" is-not-null="yes" is-multi-value="yes" />




</class>

</oks-schema>
